PDA

View Full Version : BDE 4.0 NO interbase driver



NewsArchive
11-12-1997, 01:00 AM
I am using D3 Pro and IS express to redistribute the BDE with my app
but IS express does not install the INTERBASE driver. I do not require
an alias, but I must have the driver installed in the BDE on the users
machine. I seperately purchase copies of local interbase from borland.
Why won't IS express copy the IB driver, I have resorted to using my D3
cd rom to install the BDE on the clients machine to get the IB driver.

What gives with this and what do I need to do to resolve it

Thanks Scott
sanger@rmci.net

NewsArchive
11-13-1997, 01:00 AM
On Wed, 12 Nov 1997 20:20:54 -0700, Scott <sanger@rmci.net> wrote:
>machine. I seperately purchase copies of local interbase from borland.
>Why won't IS express copy the IB driver, I have resorted to using my D3
>cd rom to install the BDE on the clients machine to get the IB driver.

You have to have the SQL Links drivers installed. SQL Links is available
seperately from Borland. The InterBASE Server alone won't help, and even if
you have Local InterBASE installed you cannot distribute it. It is against
the license agreement.

Stefan
ellipse data systems

NewsArchive
01-09-1998, 01:00 AM
Sefan Paetow schrieb in Nachricht
<34b567c7.29159388@news.installshield.com>...
>On Wed, 07 Jan 1998 10:46:48 -0800, Rob Schuff <schuffr@ohsu.edu> wrote:
>>Has anybody heard anything from IS about BDE 4.51 and installshield
>>express 2?
>
>It is being addressed.
>
>Stefan
>ellipse data systems

Stefan,
what does that mean ?
I am using ISX 2.01 and it DOESN´T work !!.
It wants BDECFG32.exe !

Is there an update ? Will there be one ? What am I to do?

Best regards from Heiko

NewsArchive
01-09-1998, 01:00 AM
On Fri, 9 Jan 1998 17:54:26 +0100, "Heiko Goes" <Heiko_Goes@compuserve.com>
wrote:
>what does that mean ?
>I am using ISX 2.01 and it DOESN´T work !!.
>It wants BDECFG32.exe !

The best is if you look in the <ISX>\Objs\Delphi3\* directories you will
find isdepend.ini and swdepend.ini.

Make backups of those files (VERY IMPORTANT). Then you can edit them as
follows:

SWDEPEND.INI -
Section [BDE Support]: You can change the BDE required files here.
Section [BDE Support4]: You can look in the Windows System Dir for the
updated .CPL file.
Section [BDE Core Subset]: Change the core components here. That includes
the BDE Admin stuff

Then create a new project and make sure your new BDE is registered in the
registry and in the proper Program Files location.

I do not guarantee a success, but this will probably help you a greater
deal. I have requested from Borland the new DLL list for BDE 4.51 so that I
can help out a bit better in the future. If the above fix doesn't help or
cripple your Express, just restore your backup files.

Please note that I am NOT responsible for any losses by this method.
InstallShield is looking into an updated list at the moment. Please visit
their Express website often to see if there are any new developments.

Stefan
ellipse data systems